summarylogtreecommitdiffstats
AgeCommit message (Collapse)Author
7 daysUpdate to 4.4Alexandre Demers
Add support for librsvg. Fix some config options. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2021-04-02FS#70010 remove obsolete libsrt fix and update version restriction on x264Alexandre Demers
Update version restriction on lib32-x264. The epoch was missing. The restrictions should come from the packages themselves to be on par with their native counterparts... While I'm lib-x264's maintainer, I'm not for x265. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2021-03-28Update the x265 and x264 version dependencies.Alexandre Demers
This will prevent building from previous config which would use previous detected versions. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2021-03-27Update to 4.3.2Alexandre Demers
Lay out base for libzimg support (but package not available in crossbuild) Move to a _tag to mimic what is done with system's native arch package. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2021-01-27Sync with dav1d 0.8.1, remove omx, change libsrt patch and add some dependenciesAlexandre Demers
Import modifications done lately in ffmpeg: - Remove omx support - add clang and amf-headers dependencies - update fix for libsrt - enable lto (but disable inline asm to prevent errors appearing when crosscompiling) Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-11-22Rebuild against latest lib32-vmaf 1.5.3Alexandre Demers
Since lib32-vmaf was updated, better rebuild ffmpeg. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-09-28Fix issue 8760 - building against libstr 1.4.1 and newerAlexandre Demers
Some deprecated functions were removed and FFMPEG was not updated in time. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-08-14Enforce x264 >= 160Alexandre Demers
Otherwise, ffmpeg may end up being updated before x264. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-08-13Rebuild against updated x264Alexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-07-15Update to 4.3.1 and fix makepkg's sub-dependenciesAlexandre Demers
Since makepkg doesn't install dependencies if they are listed under a specific package, put them as global dependencies. Update to 4.3.1. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-06-21Split libraries from executables, rebuild against latest x265 and aomAlexandre Demers
Most peolple don't need the executables. Let's split libraries from the executables in two different packages as done in other distro. If needed, one can install lib32-ffmpeg to mimic exactly what is done by the ffmpeg package. Rebuild against latest x265 and aom. We are not moving to 4.3 yet, since a major bug was reported with chromium and others. Until it is fixed, we'll stay under the 4.2 branch. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-05-27fix start time for MP3 filesAlexandre Demers
Mirror what was added to native package. And removed a left over cherry-pick. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-05-26Update to 4.2.3Alexandre Demers
Keep binary files. This package is not a library only, so it should have kept these files from the beginning. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-05-25Rebuild after dav1d package updateAlexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-05-12Add VMAF support and Change default vmaf model path to Arch defaultsAlexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-05-09Update building against lib32-dav1dAlexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-04-24add support for libsrt and fix x265 minimum versionAlexandre Demers
Also reorganize alphabetically (almost, following ffmpeg package) depends. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-03-29Force rebuilt after dav1d 0.6.0Alexandre Demers
lib-dav1d (and its 32bit counterpart) are now online. Rebuild FFMPEG to use it. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-01-30Small update to x264 dependencyAlexandre Demers
X264 version 159 is needed. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2020-01-30Update to 4.2.2Alexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2019-11-06x265 3.2 rebuildAlexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2019-09-18Update to 4.2.1 and make dav1d the default av1 decoderAlexandre Demers
Update to 4.2.1 and bring in latest patch from official ffmpeg package. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2019-08-15Add dav1d supportAlexandre Demers
Change order of some dependencies to follow the official package. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2019-08-08Update to 4.2 - dAV1d disabledAlexandre Demers
Updating to 4.2. However, the dAV1d decoder is not available (yet) as a 32bit package. So it is disabled for now. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2019-07-12Update to 4.1.4Alexandre Demers
No other changes Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2019-04-26Build with libdrm and aomAlexandre Demers
lib32-aom is now available, which allows us to use it with FFMPEG as in the official package. I tested with libdrm and it now works properly without any error about a missing VA function. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2019-04-02Add a check on lib32-x264's version, 1567 is needed.Alexandre Demers
You either need to modify lib32-x264 package to build it with proper version or wait until an update. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2019-04-01Update to 4.1.3Alexandre Demers
You will need an updated lib32-x264 version that supports r157. The update has been requested as of today, waiting for lib32-x264 maintainer to update on his side. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2019-04-01Drop libavresampleAlexandre Demers
It seems it was deprecated and already removed in the official Arch package. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2019-03-29Update to 4.1.2Alexandre Demers
Nothing special Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2019-02-19Update to 4.1.1Alexandre Demers
Now that lib32-x265 has been fixed, we can update to 4.1.1. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2018-12-14Actually add missing "git" to makedepends listAlexandre Demers
The whole point of the previous commmit was to add "git", but that line was left behind... Fixed. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2018-12-14Add missing build dependency.Alexandre Demers
When I changed the source's path, I forgot to add git as a dependency Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2018-11-06Updating to 4.1 and .gitignoreAlexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2018-11-03Update to 4.0.3 and change srcAlexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2018-08-21X264 rebuild after lib32-libx264 disappearanceAlexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2018-07-19Update to 4.0.2 and explicitly enable JackAlexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2018-06-27Updating against 4.0.1Alexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2018-06-12Update according to system's arch packageAlexandre Demers
Some dependencies were added. However, we can't use exactly the same thing because there is an error when enabling libdrm usage. This still doesn't fix the circular dependency with x264. However, lib32-libx264 should be the package that should remove its dependency on ffmpeg. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2018-04-21Update to 4.0Alexandre Demers
Fix .SRCINFO that was not properly updated in the last commit. Remove patch FS56089 since it doesn't apply anymore (and seems to be included). Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2018-04-16Adding missing patch used in native packageAlexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2018-02-25update fs56089Alexandre Demers
2018-02-25Adding patch for FS56089Alexandre Demers
2018-02-13Update to 3.4.2Alexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2017-12-11Update to 3.4.1Alexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2017-10-24Update to 3.4.0 and remove schroedinger dependencyAlexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2017-08-15Removed hardening-wrapper dependency and added lib32-libvdpauAlexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2017-08-03Updated to 3.3.3Alexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
2017-06-08Updating to 3.3.2 with a small cleanupAlexandre Demers
2017-05-16Updated to 3.3.1Alexandre Demers
Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>